Package org.apache.datasketches.hive.tuple

## Class ArrayOfDoublesSketchToMeansUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.tuple.ArrayOfDoublesSketchToMeansUDF

    public class ArrayOfDoublesSketchToMeansUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`ArrayOfDoublesSketchToMeansUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Get means from a given ArrayOfDoublesSketch

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfDoublesSketchToMeansUDF

    public ArrayOfDoublesSketchToMeansUDF()

### Method Detail

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Get means from a given ArrayOfDoublesSketch

Parameters:
  `serializedSketch` - ArrayOfDoublesSketch in as serialized binary
Returns:
  list of means